この記事を読むのにかかる平均時間: 114

「CentOS 7.2」にphpMyAdminをインストールした所、「mcrypt 拡張がありません。PHP の設定をチェックしてみてください。」と表示されてしまいました。その時の覚書です。

 

mcryptをインストール

無いと言われたのでインストールします。

と入力して素直にインストールできればそれで良しですが、インストールできない場合は下の手順を行います。

インストールできない場合

リポジトリを追加します。

 

/etc/yum.repos.d/に「epel.repo」という名前で新しくファイルを作成し、以下の内容を記載します。

name=EPEL RPM Repository for Red Hat Enterprise Linux
baseurl=http://ftp.riken.jp/Linux/fedora/epel/6/$basearch/
gpgcheck=1
enabled=0

インストールします

そしたらインストールできるようになる。最初とコマンドが微妙に違うのでご注意ください。

 

 

こんな記事もいかがですか

https://www.kansaicook.jp/wp-content/uploads/2018/03/303dc319627795203c971f7a72548d521.jpghttps://www.kansaicook.jp/wp-content/uploads/2018/03/303dc319627795203c971f7a72548d521-150x48.jpg食育管理人技術的な事柄php,phpmyadmin,エラー,サーバー「CentOS 7.2」にphpMyAdminをインストールした所、「mcrypt 拡張がありません。PHP の設定をチェックしてみてください。」と表示されてしまいました。その時の覚書です...関西の食育デザイナーによる食育ブログ